
Redmine - Defect #6323

Screenshot plugin conflicts with issue creation through API

2010-09-07 16:05 - Michal Slazak

Status: Closed Start date: 2010-09-07

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

After removing the plugin, issues can be created just fine.

Version of the plugin: 1.1.0

Processing IssuesController#create to xml (for 10.33.9.201 at 2010-09-07 14:56:58) [POST]

  Parameters: {"format"=>"xml", "project_id"=>"test-project", "action"=>"create", "controller"=>"i

ssues", "issue"=>{"project_id"=>nil, "subject"=>"apitest", "description"=>"api test issue", "key"=

>"xxx"}}

NoMethodError (undefined method `[]' for nil:NilClass):

  vendor/plugins/redmine_screenshot_paste/init.rb:49:in `attach_files'

  app/controllers/issues_controller.rb:144:in `create'

  passenger (2.2.10) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.10) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.10) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_hand

ler'

  passenger (2.2.10) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_appli

cation'

  passenger (2.2.10) lib/phusion_passenger/utils.rb:184:in `safe_fork'

  passenger (2.2.10) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_appli

cation'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.10) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.10) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.10) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.10) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.10) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.10) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.10) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.10) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.10) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.10) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /var/www/redmine-testing/public/500.html (500 Internal Server Error)

Related issues:

Related to Redmine - Defect #6703: Mylyn fails to submit comment b/c screensh... Closed 2010-10-20

History

#1 - 2010-09-11 04:16 - Eric Davis

- Category changed from Plugin API to Core Plugins

- Assignee deleted (Eric Davis)

- Affected version (unused) deleted (1.0.1)

- Affected version deleted (1.0.1)
#2 - 2010-09-15 12:45 - Slava Karg

I have similar issue: while changing status of issue through context menu I get "500 internal error".

Here is log:

Processing ContextMenusController#issues (for x.x.x.x at 2010-09-15 13:23:21) [POST]

  Parameters: {"back_url"=>"/redmine/projects/net/issues", "ids"=>["98"], "action"=>"issues", "authenticity_to

ken"=>"fZFwq+RlFmx5xYn7+qO6CNx3dCDi/ZJyy5jHOo4lvg4=", "controller"=>"context_menus"}

Rendering context_menus/issues

Completed in 169ms (View: 42, DB: 10) | 200 OK [https://example.com/redmine/issues/context_menu]

Processing IssuesController#update (for x.x.x.x at 2010-09-15 13:23:28) [PUT]

  Parameters: {"back_url"=>"/redmine/projects/net/issues", "action"=>"update", "_method"=>"put", "authenticity

_token"=>"fZFwq+RlFmx5xYn7+qO6CNx3dCDi/ZJyy5jHOo4lvg4=", "id"=>"98", "issue"=>{"status_id"=>"3"}, "controller"

=>"issues"}

NoMethodError (undefined method `[]' for nil:NilClass):

  vendor/plugins/redmine_screenshot_paste-1.1.0/init.rb:49:in `attach_files'

  app/models/issue.rb:499:in `save_issue_with_child_records'

  app/models/issue.rb:487:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:184:in `update'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:441:in `start_request_handler'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_applicatio

n'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/utils.rb:252:in `safe_fork'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_applicatio

n'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:222:in `start'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /data/opt/redmine-1.0.1/public/500.html (500 Internal Server Error)

 After removing plugin - all seems to be ok.

#3 - 2011-02-23 15:45 - Terence Mill

- Assignee set to Jean-Philippe Lang

JEan would you please fix the bug, as the plugin was originally created by you - so far i know.

Tx in advance!

#4 - 2011-02-23 15:47 - Terence Mill

Dupe of Issue #6703

#5 - 2011-02-26 16:56 - Jean-Philippe Lang

- Category changed from Core Plugins to Plugin Request

- Status changed from New to Closed

- Resolution set to Fixed

New version 1.1.1 of the plugin fixes this issue.
